/**
 * Arduino Sketch für SmartHome yourself - Arduino Lehrgang
 * 
 * Tag 21: PullUp und PullDown-Widerstände
 * In diesem Sketch werten wir 3 unterschiedlich angeschlossene Buttons aus. 
 * Button 1 wird mit einem externen PullDown-Widerstand angeschlossen.
 * Button 2 wird mit einem externen PullUp-Widerstand angeschlossen.
 * Button 3 wird ohne externen Widerstand angeschlossen und der interne PullUp-Widerstand verwendet.
 * 
 * Bei drücken eines Buttons wird, solange der Button gedrückt ist, die jeweilige LED eingeschaltet. 
 * 
 * https://www.arduino.cc/en/Tutorial/DigitalPins
 * https://www.arduino.cc/reference/en/language/functions/digital-io/pinmode/
 * 
 * By Daniel Scheidler - Dezember 2019
 */

const unsigned int ROTE_LED_PIN = 3;                                 // globale Konstante für Pin mit roter LED
const unsigned int GELBE_LED_PIN = 4;                                // globale Konstante für Pin mit gelber LED
const unsigned int GRUENE_LED_PIN = 5;                               // globale Konstante für Pin mit grüner LED

const unsigned int BUTTON_1_PIN = 7;                                 // globale Konstante für Pin mit roter LED
const unsigned int BUTTON_2_PIN = 8;                                 // globale Konstante für Pin mit gelber LED
const unsigned int BUTTON_3_PIN = 9;                                 // globale Konstante für Pin mit grüner LED


void setup() {
  pinMode(ROTE_LED_PIN, OUTPUT);
  pinMode(GELBE_LED_PIN, OUTPUT);
  pinMode(GRUENE_LED_PIN, OUTPUT);

  pinMode(BUTTON_1_PIN, INPUT);
  pinMode(BUTTON_2_PIN, INPUT);
  pinMode(BUTTON_3_PIN, INPUT_PULLUP);
}


void loop() {
  if(digitalRead(BUTTON_1_PIN)==HIGH){
    digitalWrite(ROTE_LED_PIN, HIGH);
  } else {
    digitalWrite(ROTE_LED_PIN, LOW);
  }
  
  if(digitalRead(BUTTON_2_PIN)==LOW){
    digitalWrite(GELBE_LED_PIN, HIGH);
  } else {
    digitalWrite(GELBE_LED_PIN, LOW);
  }
  
  if(digitalRead(BUTTON_3_PIN)==LOW){
    digitalWrite(GRUENE_LED_PIN, HIGH);
  } else {
    digitalWrite(GRUENE_LED_PIN, LOW);
  }

}
